> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Billing State



## OpenAPI

````yaml /openapi.json get /v1/organizations/{organization_id}/billing
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.1.11
servers:
  - url: https://almanac-backend-83vc.onrender.com
security:
  - bearerAuth: []
paths:
  /v1/organizations/{organization_id}/billing:
    get:
      summary: Billing State
      operationId: billing_state_v1_organizations__organization_id__billing_get
      parameters:
        - in: path
          name: organization_id
          required: true
          schema:
            title: Organization Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HostedBillingState'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HostedBillingState:
      additionalProperties: false
      properties:
        manage:
          $ref: '#/components/schemas/HostedBillingManage'
        organization_id:
          title: Organization Id
          type: string
        plans:
          items:
            $ref: '#/components/schemas/HostedBillingPlan'
          title: Plans
          type: array
        usage:
          items:
            $ref: '#/components/schemas/HostedBillingUsage'
          title: Usage
          type: array
      required:
        - organization_id
        - manage
        - plans
      title: HostedBillingState
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    HostedBillingManage:
      additionalProperties: false
      properties:
        allowed:
          title: Allowed
          type: boolean
        reason:
          $ref: '#/components/schemas/HostedBillingManageReason'
      required:
        - allowed
        - reason
      title: HostedBillingManage
      type: object
    HostedBillingPlan:
      additionalProperties: false
      properties:
        current:
          default: false
          title: Current
          type: boolean
        features:
          items:
            $ref: '#/components/schemas/HostedPlanFeature'
          title: Features
          type: array
        group:
          anyOf:
            - type: string
            - type: 'null'
          title: Group
        interval:
          anyOf:
            - type: string
            - type: 'null'
          title: Interval
        name:
          title: Name
          type: string
        plan_id:
          title: Plan Id
          type: string
        price:
          anyOf:
            - type: number
            - type: 'null'
          title: Price
      required:
        - plan_id
        - name
      title: HostedBillingPlan
      type: object
    HostedBillingUsage:
      additionalProperties: false
      properties:
        feature_id:
          title: Feature Id
          type: string
        granted:
          title: Granted
          type: number
        next_reset_at:
          anyOf:
            - type: number
            - type: 'null'
          title: Next Reset At
        overage_allowed:
          default: false
          title: Overage Allowed
          type: boolean
        remaining:
          title: Remaining
          type: number
        unlimited:
          default: false
          title: Unlimited
          type: boolean
        usage:
          title: Usage
          type: number
      required:
        - feature_id
        - granted
        - remaining
        - usage
      title: HostedBillingUsage
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    HostedBillingManageReason:
      enum:
        - permission
        - not_allowed
      title: HostedBillingManageReason
      type: string
    HostedPlanFeature:
      additionalProperties: false
      properties:
        feature_id:
          title: Feature Id
          type: string
        included:
          anyOf:
            - type: number
            - type: 'null'
          title: Included
      required:
        - feature_id
      title: HostedPlanFeature
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````